# BEGIN SourceDeps(oneline):
BuildRequires: perl(Catalyst.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo/Role.pm) perl(Test/Most.pm) perl(Text/SimpleTable.pm)
# END SourceDeps(oneline)
%define module_name Catalyst-Plugin-DBIC-ConsoleQueryLog
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1
Summary: A simple log to console for DBIC querylogs
Group: Development/Perl
License: perl
URL: https://github.com/jjn1056/Catalyst-Plugin-DBIC-ConsoleQueryLog

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JJ/JJNAPIORK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This is a very basic console logger for the DBIx::Class::QueryLog::Analyzer manpage, which you
might be using in the Catalyst manpage via the Catalyst::TraitFor::Model::DBIC::Schema::QueryLog manpage
in order to get tracing and performance information on you SQL calls.  You must be
using the Catalyst::Model::DBIC::Schema manpage and have added the the Catalyst::TraitFor::Model::DBIC::Schema::QueryLog manpage
trait in configuration as in the the SYNOPSIS entry elsewhere in this document example.

I wrote this because I got tired of adding it manually over and over to my basic
application framework.  However its a very basic logger that doesn't support some of
the more powerful bits such as creating buckets to classify you logging, etc.  It will
get you started but eventually you'll need to roll your own as you needs become more complex.

Console logging will only occur when the application is run in debug mode.  I recommend
only adding this plugin in development since it's needless overhead in production.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%changelog
* Thu Nov 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

